[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TApplicationMainLoop

Represents the main processing loop in an application.

## Declaration

Source position: interfacebase.pp line 46

`type TApplicationMainLoop = procedure of object;`

## Description

TApplicationMainLoop is an object procedure type which represents the main processing loop for an application. TApplicationMainLoop is the type passed as an argument to the TWidgetSet.AppRun method.

## See also

TWidgetSet.AppRun |  | Enters a state in which the application waits for system messages.